Skip to main content
GET
Get a file

Authorizations

Authorization
string
header
required

OAuth 2.0 client credentials. Exchange your client_id and client_secret for an access token scoped to the organisation that provides data access.

Headers

Cula-Organisation-Id
string
required

ID of the organisation the request operates on behalf of (e.g. org_...). Must be an organisation the API client has access to.

Example:

"org_01k83mfmhgchya944v86ryvhpq"

Path Parameters

id
string
required
Example:

"fle_01kw9grq4tecva35wdpstzcj5z"

Response

The metadata of the requested file.

id
string
required

ID of the file.

Example:

"fle_01kw9grq4tecva35wdpstzcj5z"

external_id
string | null
required

Optionally assigned external ID of the file.

Example:

"MY-CUSTOM-ID"

site
object
required

The site that owns this file.

name
string
required

The original filename of the uploaded binary.

Example:

"sink_confirmation.pdf"

type
string
required

The MIME type of the file, detected from its contents at upload time.

Example:

"application/pdf"

size
integer
required

The size of the file in bytes.

Example:

482117

created_at
string<date-time>
required

The ISO 8601 timestamp at which the file was uploaded.

Example:

"2025-10-10T21:03:58Z"